Subject: Re: text/html

From: "S. Alexander Jacobson" <[email-masked]>
Date: Wed, 13 Feb 2002 14:39:32 -0500 (Eastern Standard Time)

Charset is not required.

RFC2046 says:

  A "charset" parameter MAY be used to indicate
  the character set of the body text for "text"
  subtypes, notably including the subtype
  "text/plain", which is a generic subtype for
  plain text.
  ...
  The default character set, which must be assumed
  in the absence of a charset parameter, is
  US-ASCII.

RFC2854 says:

  The optional parameter "charset" refers to the
  character encoding used to represent the HTML
  document as a sequence of bytes.

So charset is not required.

-Alex-

On Wed, 13 Feb 2002, Stephen Casner wrote:

> On Thu, 7 Feb 2002, Christopher Fisk wrote:
> > On Tue, 5 Feb 2002, S. Alexander Jacobson wrote:
> > >I get various mail with
> > >
> > >content-type: text/html
> > >
> > >Pine does not seem to know that this is html and
> > >renders it as text/plain.  I don't think MIME
> > >REQUIRES a charset, but MIME seems to want one.
> > >
> > >Any workaround?
> >
> > I'm not sure of any workarounds for this, but I did create a special
> > folder for all files that come in with text/html.  "Spammers"
> >
> > I've never received a text/html message that didn't contain a CHARSET that
> > was legitimate mail.
>
> I have just received a membership renewal message from ACM that serves
> as a counterexample (ACM is a well-established organization and I am a
> member).  I can't tell from the header what software was used to send
> the mail.
>
> What's the ruling on this?  Is the message format non-compliant, and
> therefore I should send a complaint to ACM, or should Pine be more
> liberal in what it accepts?
> 							-- Steve
>

___________________________________________________________________
S. Alexander Jacobson                   i2x Media
1-212-787-1914 voice                    1-603-288-1280 fax